Subject: Re: bug#16026: Gnus shouldn't use old connections

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Jan 2017 13:26:04 -0500

> There is `nntp-connection-timeout', and nnimap could have something
> similar, I guess.

> The difficulty is in determining what a good timeout should be.  If you
> send an EXPUNGE to an IMAP server, it may legitimately take many
> seconds, and you get no output from the server while it's doing this.
> If you kill the connection and reissue the commands, you then get error
> messages, I think?

I think in my case a timeout of 30min would cover the main cases already
(i.e. the machine was suspended for more than 30min).

        Stefan